from django.urls import path
from rest_framework.routers import DefaultRouter

from store import views

router = DefaultRouter()


router.register(r'checklist', views.ChecklistAPI, basename='checklist')
router.register(r'statistics', views.StatisticsAPI, basename='statistics')
router.register(r'cdek', views.CDEKAPI, basename='cdek')
router.register(r'gifts', views.GiftAPI, basename='gifts')
router.register(r'poizon', views.PoizonAPI, basename='poizon')
router.register(r'promo', views.PromoCodeAPI, basename='promo')
router.register(r'category', views.CategoryAPI, basename='category')
router.register(r'settings/payment', views.PaymentMethodsAPI, basename='payment')

urlpatterns = [
    path("settings/", views.GlobalSettingsAPI.as_view()),

] + router.urls
